# Uses of Enum Class org.bukkit.inventory.EquipmentSlot (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.inventory, enum: EquipmentSlot

# Uses of Enum Class
org.bukkit.inventory.EquipmentSlot

Packages that use EquipmentSlot
Package
Description
com.destroystokyo.paper.event.player
io.papermc.paper.event.block
io.papermc.paper.event.entity
io.papermc.paper.event.player
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.attribute
Classes relevant to attributes.
org.bukkit.enchantments
Classes relating to the specialized enhancements to `item stacks`, as part of the `meta data`.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of EquipmentSlot in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player that return EquipmentSlot
Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
PlayerUseUnknownEntityEvent.`getHand()`
Constructors in com.destroystokyo.paper.event.player with parameters of type EquipmentSlot
Modifier
Constructor
Description
``
`PlayerUseUnknownEntityEvent(@NotNull Player who, int entityId, boolean attack, @NotNull EquipmentSlot hand)`

## Uses of EquipmentSlot in io.papermc.paper.event.block

Methods in io.papermc.paper.event.block that return EquipmentSlot
Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
PlayerShearBlockEvent.`getHand()`
Gets the hand used to shear the block.
Constructors in io.papermc.paper.event.block with parameters of type EquipmentSlot
Modifier
Constructor
Description
``
`PlayerShearBlockEvent(@NotNull Player who, @NotNull Block block, @NotNull ItemStack item, @NotNull EquipmentSlot hand, @NotNull List<ItemStack> drops)`

## Uses of EquipmentSlot in io.papermc.paper.event.entity

Methods in io.papermc.paper.event.entity that return EquipmentSlot
Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
EntityLoadCrossbowEvent.`getHand()`
Gets the hand from which the crossbow was loaded.
Constructors in io.papermc.paper.event.entity with parameters of type EquipmentSlot
Modifier
Constructor
Description
``
`EntityLoadCrossbowEvent(@NotNull LivingEntity entity, @Nullable ItemStack crossbow, @NotNull EquipmentSlot hand)`

## Uses of EquipmentSlot in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return EquipmentSlot
Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
PlayerArmSwingEvent.`getHand()`
Returns the hand of the arm swing.
Constructors in io.papermc.paper.event.player with parameters of type EquipmentSlot
Modifier
Constructor
Description
``
`PlayerArmSwingEvent(@NotNull Player player, @NotNull EquipmentSlot equipmentSlot)`

## Uses of EquipmentSlot in org.bukkit

Methods in org.bukkit that return EquipmentSlot
Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
Material.`getEquipmentSlot()`
Get the best suitable slot for this Material.
Methods in org.bukkit with parameters of type EquipmentSlot
Modifier and Type
Method
Description
`@NotNull Multimap<Attribute,AttributeModifier>`
Material.`getDefaultAttributeModifiers(@NotNull EquipmentSlot slot)`
Return an immutable copy of all default `Attribute`s and their `AttributeModifier`s for a given `EquipmentSlot`.
`Multimap<Attribute,AttributeModifier>`
UnsafeValues.`getDefaultAttributeModifiers(Material material, EquipmentSlot slot)`
Deprecated.
`@NotNull Multimap<Attribute,AttributeModifier>`
Material.`getItemAttributes(@NotNull EquipmentSlot equipmentSlot)`
Deprecated.
use `Material.getDefaultAttributeModifiers(EquipmentSlot)`
`@NotNull Multimap<Attribute,AttributeModifier>`
UnsafeValues.`getItemAttributes(@NotNull Material material, @NotNull EquipmentSlot equipmentSlot)`
Deprecated.
Returns an immutable multimap of attributes for the material and slot.

## Uses of EquipmentSlot in org.bukkit.attribute

Methods in org.bukkit.attribute that return EquipmentSlot
Modifier and Type
Method
Description
`@Nullable EquipmentSlot`
AttributeModifier.`getSlot()`
Get the `EquipmentSlot` this AttributeModifier is active on, or null if this modifier is applicable for any slot.
Constructors in org.bukkit.attribute with parameters of type EquipmentSlot
Modifier
Constructor
Description
``
`AttributeModifier(@NotNull UUID uuid, @NotNull String name, double amount, @NotNull AttributeModifier.Operation operation, @Nullable EquipmentSlot slot)`

## Uses of EquipmentSlot in org.bukkit.enchantments

Methods in org.bukkit.enchantments that return types with arguments of type EquipmentSlot
Modifier and Type
Method
Description
`abstract Set<EquipmentSlot>`
Enchantment.`getActiveSlots()`
Gets the equipment slots where this enchantment is considered "active".
`Set<EquipmentSlot>`
EnchantmentWrapper.`getActiveSlots()`

## Uses of EquipmentSlot in org.bukkit.entity

Methods in org.bukkit.entity that return EquipmentSlot
Modifier and Type
Method
Description
`EquipmentSlot`
LivingEntity.`getHandRaised()`
Gets the hand raised by this living entity.
Methods in org.bukkit.entity that return types with arguments of type EquipmentSlot
Modifier and Type
Method
Description
`Set<EquipmentSlot>`
ArmorStand.`getDisabledSlots()`
Get the list of disabled slots
Methods in org.bukkit.entity with parameters of type EquipmentSlot
Modifier and Type
Method
Description
`void`
ArmorStand.`addDisabledSlots(@NotNull EquipmentSlot... slots)`
Disable specific slots, adding them to the currently disabled slots This makes it so a player is unable to interact with the Armor Stand to place, remove, or replace an item in the given slot(s) Note: Once a slot is disabled, the only way to get an item back it to break the armor stand.
`void`
ArmorStand.`addEquipmentLock(@NotNull EquipmentSlot slot, @NotNull ArmorStand.LockType lockType)`
Locks the equipment slot with the specified `locking mechanism`.
`@NotNull ItemStack`
ArmorStand.`getItem(EquipmentSlot slot)`
Returns the item the armor stand has equip in the given equipment slot
`boolean`
ArmorStand.`hasEquipmentLock(@NotNull EquipmentSlot slot, @NotNull ArmorStand.LockType lockType)`
Returns if the ArmorStand has the specified `locking mechanism`.
`boolean`
ArmorStand.`isSlotDisabled(EquipmentSlot slot)`
Check if a specific slot is disabled
`void`
ArmorStand.`removeDisabledSlots(@NotNull EquipmentSlot... slots)`
Remove the given slots from the disabled slots list, enabling them.
`void`
ArmorStand.`removeEquipmentLock(@NotNull EquipmentSlot slot, @NotNull ArmorStand.LockType lockType)`
Remove a `locking mechanism`.
`void`
Player.`sendEquipmentChange(@NotNull LivingEntity entity, @NotNull EquipmentSlot slot, @NotNull ItemStack item)`
Send the equipment change of an entity.
`void`
ArmorStand.`setDisabledSlots(@NotNull EquipmentSlot... slots)`
Set the disabled slots This makes it so a player is unable to interact with the Armor Stand to place, remove, or replace an item in the given slot(s) Note: Once a slot is disabled, the only way to get an item back it to break the armor stand.
`void`
ArmorStand.`setItem(EquipmentSlot slot, @Nullable ItemStack item)`
Sets the item the armor stand has equip in the given equipment slot

## Uses of EquipmentSlot in org.bukkit.event.block

Fields in org.bukkit.event.block declared as EquipmentSlot
Modifier and Type
Field
Description
`protected EquipmentSlot`
BlockPlaceEvent.`hand`
Methods in org.bukkit.event.block that return EquipmentSlot
Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
BlockPlaceEvent.`getHand()`
Gets the hand which placed the block
Constructors in org.bukkit.event.block with parameters of type EquipmentSlot
Modifier
Constructor
Description
``
`BlockMultiPlaceEvent(@NotNull List<BlockState> states, @NotNull Block clicked, @NotNull ItemStack itemInHand, @NotNull Player thePlayer, boolean canBuild, EquipmentSlot hand)`
``
`BlockPlaceEvent(@NotNull Block placedBlock, @NotNull BlockState replacedBlockState, @NotNull Block placedAgainst, @NotNull ItemStack itemInHand, @NotNull Player thePlayer, boolean canBuild, @NotNull EquipmentSlot hand)`

## Uses of EquipmentSlot in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EquipmentSlot
Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
EntityShootBowEvent.`getHand()`
Get the hand from which the bow was shot.
Constructors in org.bukkit.event.entity with parameters of type EquipmentSlot
Modifier
Constructor
Description
``
`EntityShootBowEvent(@NotNull LivingEntity shooter, @Nullable ItemStack bow, @Nullable ItemStack consumable, @NotNull Entity projectile, @NotNull EquipmentSlot hand, float force, boolean consumeItem)`

## Uses of EquipmentSlot in org.bukkit.event.player

Methods in org.bukkit.event.player that return EquipmentSlot
Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
PlayerBucketEvent.`getHand()`
The hand used to perform this action.
`@NotNull EquipmentSlot`
PlayerInteractEntityEvent.`getHand()`
The hand used to perform this interaction.
`@Nullable EquipmentSlot`
PlayerInteractEvent.`getHand()`
The hand used to perform this interaction.
`@NotNull EquipmentSlot`
PlayerShearEntityEvent.`getHand()`
Gets the hand used to shear the entity.
`@NotNull EquipmentSlot`
PlayerArmorStandManipulateEvent.`getSlot()`
Returns the raw item slot of the armor stand in this event.
Constructors in org.bukkit.event.player with parameters of type EquipmentSlot
Modifier
Constructor
Description
``
`PlayerArmorStandManipulateEvent(@NotNull Player who, @NotNull ArmorStand clickedEntity, @NotNull ItemStack playerItem, @NotNull ItemStack armorStandItem, @NotNull EquipmentSlot slot)`
``
`PlayerBucketEmptyEvent(@NotNull Player who, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @Nullable EquipmentSlot hand)`
Deprecated.
``
`PlayerBucketEmptyEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @Nullable EquipmentSlot hand)`
``
`PlayerBucketEvent(@NotNull Player who, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @Nullable EquipmentSlot hand)`
Deprecated.
``
`PlayerBucketEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @Nullable EquipmentSlot hand)`
``
`PlayerBucketFillEvent(@NotNull Player who, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @Nullable EquipmentSlot hand)`
Deprecated.
``
`PlayerBucketFillEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @Nullable EquipmentSlot hand)`
``
`PlayerInteractAtEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity, @NotNull Vector position, @NotNull EquipmentSlot hand)`
``
`PlayerInteractEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity, @NotNull EquipmentSlot hand)`
``
`PlayerInteractEvent(@NotNull Player who, @NotNull Action action, @Nullable ItemStack item, @Nullable Block clickedBlock, @NotNull BlockFace clickedFace, @Nullable EquipmentSlot hand)`
``
`PlayerInteractEvent(@NotNull Player who, @NotNull Action action, @Nullable ItemStack item, @Nullable Block clickedBlock, @NotNull BlockFace clickedFace, @Nullable EquipmentSlot hand, @Nullable Location interactionPoint)`
``
`PlayerShearEntityEvent(@NotNull Player who, @NotNull Entity what, @NotNull ItemStack item, @NotNull EquipmentSlot hand)`

## Uses of EquipmentSlot in org.bukkit.inventory

Methods in org.bukkit.inventory that return EquipmentSlot
Modifier and Type
Method
Description
`static EquipmentSlot`
EquipmentSlot.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EquipmentSlot[]`
EquipmentSlot.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.inventory with parameters of type EquipmentSlot
Modifier and Type
Method
Description
`float`
EntityEquipment.`getDropChance(@NotNull EquipmentSlot slot)`
Gets the drop chance of specified slot.
`@NotNull ItemStack`
EntityEquipment.`getItem(@NotNull EquipmentSlot slot)`
Gets the ItemStack at the given equipment slot in the inventory.
`@NotNull ItemStack`
PlayerInventory.`getItem(@NotNull EquipmentSlot slot)`
Gets the ItemStack at the given equipment slot in the inventory.
`void`
EntityEquipment.`setDropChance(@NotNull EquipmentSlot slot, float chance)`
Sets the drop chance of the specified slot.
`void`
EntityEquipment.`setItem(@NotNull EquipmentSlot slot, @Nullable ItemStack item)`
Stores the ItemStack at the given equipment slot in the inventory.
`void`
EntityEquipment.`setItem(@NotNull EquipmentSlot slot, @Nullable ItemStack item, boolean silent)`
Stores the ItemStack at the given equipment slot in the inventory.
`void`
PlayerInventory.`setItem(@NotNull EquipmentSlot slot, @Nullable ItemStack item)`
Stores the ItemStack at the given equipment slot in the inventory.

## Uses of EquipmentSlot in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta with parameters of type EquipmentSlot
Modifier and Type
Method
Description
`@NotNull Multimap<Attribute,AttributeModifier>`
ItemMeta.`getAttributeModifiers(@NotNull EquipmentSlot slot)`
Return an immutable copy of all `Attribute`s and their `AttributeModifier`s for a given `EquipmentSlot`.
Any `AttributeModifier` that does have have a given `EquipmentSlot` will be returned.
`boolean`
ItemMeta.`removeAttributeModifier(@NotNull EquipmentSlot slot)`
Remove all `Attribute`s and `AttributeModifier`s for a given `EquipmentSlot`.
If the given `EquipmentSlot` is null, this will remove all `AttributeModifier`s that do not have an EquipmentSlot set.